NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 5.16. nvmlUtilization_t Struct Reference

## [Device Structs]

Utilization information for a device. Each sample period may be between 1 second and 1/6 second, depending on the product being queried.

### Public Variables

unsigned int gpu
  Percent of time over the past sample period during which one or more kernels was executing on the GPU.
unsigned int memory
  Percent of time over the past sample period during which global (device) memory was being read or written.

### Variables

unsigned int nvmlUtilization_t::gpu [inherited]

  Percent of time over the past sample period during which one or more kernels was executing on the GPU.

unsigned int nvmlUtilization_t::memory [inherited]

  Percent of time over the past sample period during which global (device) memory was being read or written.

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback